Package org.apache.batchee.jaxrs.client

## Class ClientSslConfiguration

- java.lang.Object
- - org.apache.batchee.jaxrs.client.ClientSslConfiguration

-     public class ClientSslConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientSslConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HostnameVerifier` | `getHostnameVerifier()` |
    `KeyStore` | `getKeystore()` |
    `String` | `getKeystorePassword()` |
    `SSLContext` | `getSslContext()` |
    `void` | `setHostnameVerifier​(String hostnameVerifier)` |
    `void` | `setKeyManagerPath​(String keyManagerPath)` |
    `void` | `setKeyManagerType​(String keyManagerType)` |
    `void` | `setKeystorePassword​(String keystorePassword)` |
    `void` | `setKeystorePath​(String keystorePath)` |
    `void` | `setKeystoreType​(String keystoreType)` |
    `void` | `setSslContextType​(String sslContextType)` |
    `void` | `setTrustManagerAlgorithm​(String trustManagerAlgorithm)` |
    `void` | `setTrustManagerProvider​(String trustManagerProvider)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSslConfiguration

          public ClientSslConfiguration()

  - ### Method Detail

    - #### getHostnameVerifier

          public HostnameVerifier getHostnameVerifier()

    - #### setHostnameVerifier

          public void setHostnameVerifier​(String hostnameVerifier)

    - #### getSslContext

          public SSLContext getSslContext()

    - #### getKeystore

          public KeyStore getKeystore()

    - #### getKeystorePassword

          public String getKeystorePassword()

    - #### setKeystorePassword

          public void setKeystorePassword​(String keystorePassword)

    - #### setKeystoreType

          public void setKeystoreType​(String keystoreType)

    - #### setKeystorePath

          public void setKeystorePath​(String keystorePath)

    - #### setSslContextType

          public void setSslContextType​(String sslContextType)

    - #### setKeyManagerType

          public void setKeyManagerType​(String keyManagerType)

    - #### setKeyManagerPath

          public void setKeyManagerPath​(String keyManagerPath)

    - #### setTrustManagerAlgorithm

          public void setTrustManagerAlgorithm​(String trustManagerAlgorithm)

    - #### setTrustManagerProvider

          public void setTrustManagerProvider​(String trustManagerProvider)